(require :sb-cover)

;; enable coverage
(declaim (optimize sb-cover:store-coverage-data))

;; (require :asdf)

(defun src-file (file)
  (format nil "~a/~a" common-lisp-user:*project-home* file))

(let ((asdf:*central-registry* (cons (src-file "") asdf:*central-registry*)))
  (if nil
      (asdf:oos 'asdf:load-op :krb-util :force t)
      (asdf:oos 'asdf:load-op :krb-util)))

(defun compile-load-run (sfile)
  (compile-file (src-file sfile))
  (load (src-file sfile)))


(mapcar #'compile-load-run '("test-misc-util" "test-io-util"))

(lisp-unit:run-all-tests :test-misc-util)
(lisp-unit:run-all-tests :test-io-util)

(format t "~&writing coverage report to => ~a~&" *report-directory*)
(sb-cover:report *report-directory*)
(format t "~&coverage report created => ~a~&" *report-directory*)

(declaim (optimize (sb-cover:store-coverage-data 0)))

(sb-ext:quit)
